## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without  tests

%global         srcname     google-cloud-build
%global         reponame    google-cloud-python

Name:           python-%{srcname}
Version:        3.21.0

Release:        %autorelease
Summary:        Python Client for Google Cloud Build API

License:        Apache-2.0
URL:            https://github.com/googleapis/google-cloud-python
Source0:        %{url}/archive/refs/tags/%{srcname}-v%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Creates and manages builds on Google Cloud Platform.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
# Upstream buries the package into a subdirectory. 😭
%setup -c -T
tar xzf %{SOURCE0} --strip-components=3 \
    %{reponame}-%{srcname}-v%{version}/packages/%{srcname}

# Allow a slightly older protobuf.
sed -i 's/"protobuf.*",/"protobuf>=3.19.4",/' setup.py

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unnecessary script.
rm -f %{buildroot}%{_bindir}/fixup_cloudbuild*.py


%check
%pyproject_check_import -e 'google.cloud.devtools.cloudbuild_v2*'

%if %{with tests}
# NOTE(mhayden): Setting PYTHONUSERBASE as a hack for PEP 420 namespaces.
# Thanks to churchyard for the fix.
PYTHONUSERBASE=%{buildroot}%{_prefix} \
    %pytest tests/unit
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.md
%{python3_sitelib}/google_cloud_build-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Wed Dec 06 2023 Nikola Forró <nforro@redhat.com> - 3.21.0-2
- Do not sync release candidate versions

* Thu Nov 02 2023 Major Hayden <major@redhat.com> - 3.21.0-1
- Update to 3.21.0 rhbz#2247618

* Thu Nov 02 2023 Major Hayden <major@redhat.com> - 3.20.1-2
- Update packit config with new repo

* Mon Oct 23 2023 Major Hayden <major@redhat.com> - 3.20.1-1
- Update to 3.20.1

* Mon Oct 23 2023 Major Hayden <major@redhat.com> - 3.20.0-2
- Update packit config

* Wed Aug 09 2023 Major Hayden <major@redhat.com> - 3.20.0-1
- Update to 3.20.0

* Wed Jul 19 2023 Major Hayden <major@redhat.com> - 3.19.0-1
- Update to 3.19.0 rhbz#2224066

* Tue Jul 11 2023 Major Hayden <major@redhat.com> - 3.18.0-1
- Update to 3.18.0 rhbz#2221757

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 3.17.1-1
- Update to 3.17.1 rhbz#2218628

* Mon Jul 03 2023 Major Hayden <major@redhat.com> - 3.17.0-1
- Update to 3.17.0 rhbz#2218628

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 3.16.0-2
- Rebuilt for Python 3.12

* Wed Apr 19 2023 Major Hayden <major@redhat.com> - 3.16.0-1
- Update to 3.16.0 rhbz#2187820

* Tue Apr 18 2023 Major Hayden <major@redhat.com> - 3.15.0-1
- Update to 3.15.0 rhbz#2187520

* Mon Mar 27 2023 Major Hayden <major@redhat.com> - 3.14.0-1
- Update to 3.14.0 rhbz#2182134

* Wed Mar 01 2023 Major Hayden <major@redhat.com> - 3.13.0-1
- Update to 3.13.0 rhbz#2173113

* Tue Feb 21 2023 Major Hayden <major@redhat.com> - 3.12.0-1
- Update to 3.12.0

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 19 2022 Major Hayden <major@redhat.com> - 3.9.3-1
- Update to 3.9.3 rhbz#2131887

* Thu Aug 18 2022 Major Hayden <major@redhat.com> - 3.9.1-1
- Update to 3.9.1 rhbz#2119206

* Wed Jul 27 2022 Major Hayden <major@redhat.com> - 3.9.0-1
- Update to 3.9.0 rhbz#2108148

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.8.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> - 3.8.3-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Major Hayden <major@redhat.com> - 3.8.3-1
- Update to 3.8.3

* Fri May 06 2022 Major Hayden <major@mhtx.net> - 3.8.2-1
- Update to 3.8.2

* Tue Mar 08 2022 Major Hayden <major@redhat.com> - 3.8.1-1
- Update to 3.8.1

* Thu Feb 17 2022 Major Hayden <major@redhat.com> - 3.8.0-1
- Update to 3.8.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Nov 08 2021 Major Hayden <major@redhat.com> - 3.7.1-1
- Update to 3.7.1

* Wed Oct 13 2021 Major Hayden <major@mhtx.net> - 3.7.0-1
- Update to 3.7.0

* Tue Oct 12 2021 Major Hayden <major@mhtx.net> - 3.6.0-1
- Update to 3.6.0

* Thu Sep 30 2021 Major Hayden <major@mhtx.net> - 3.5.2-1
- Update to 3.5.2

* Mon Sep 27 2021 Major Hayden <major@mhtx.net> - 3.5.1-1
- Update to 3.5.1

* Fri Sep 17 2021 Major Hayden <major@mhtx.net> - 3.5.0-3
- Fix tests with PEP 420 workaround

* Thu Sep 09 2021 Major Hayden <major@mhtx.net> - 3.5.0-2
- Move to rpmautospec

* Tue Sep 07 2021 Major Hayden <major@mhtx.net> - 3.5.0-1
- Initial import (#1999109)
